Skip to main content
PUT
/
v1
/
channels
/
{id}
/
widget
/
settings
Atualizar configurações do widget
curl --request PUT \
  --url https://api.timelyai.com.br/v1/channels/{id}/widget/settings \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "primary_color": "#6366f1",
  "position": "bottom-right",
  "title": "Fale conosco",
  "subtitle": "Estamos online para ajudar",
  "welcome_message": "Olá! Como posso ajudar?",
  "avatar_url": "<string>",
  "show_branding": true
}
'
{
  "data": {
    "primary_color": "#6366f1",
    "position": "bottom-right",
    "title": "Fale conosco",
    "subtitle": "Estamos online para ajudar",
    "welcome_message": "Olá! Como posso ajudar?",
    "avatar_url": "<string>",
    "show_branding": true
  }
}

Authorizations

x-api-key
string
header
required

Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers

Path Parameters

id
string<uuid>
required

ID único do recurso (UUID)

Body

application/json
primary_color
string | null

Cor primária do widget (hex)

Example:

"#6366f1"

position
enum<string>

Posição do widget na página

Available options:
bottom-right,
bottom-left
title
string | null

Título do widget

Example:

"Fale conosco"

subtitle
string | null

Subtítulo do widget

Example:

"Estamos online para ajudar"

welcome_message
string | null

Mensagem de boas-vindas do widget

Example:

"Olá! Como posso ajudar?"

avatar_url
string | null

URL do avatar do widget

show_branding
boolean

Exibir marca do Timely AI no widget

Response

Configurações do widget atualizadas

data
object